# class Chef::Knife::NodeRunListRemove

### Public Instance Methods

run() click to toggle source

    # File lib/chef/knife/node_run_list_remove.rb, line 32
    def run
      node = Chef::Node.load(@name_args[0])
      entries = @name_args[1].split(',')

      entries.each { |e| node.run_list.remove(e) }

      node.save

      config[:run_list] = true

      output(format_for_display(node))
    end